/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface SimulationDataFrameOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.SimulationDataFrame)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>double posX = 1;</code>
   */
  double getPosX();

  /**
   * <code>double posY = 2;</code>
   */
  double getPosY();

  /**
   * <code>double posZ = 3;</code>
   */
  double getPosZ();

  /**
   * <code>float steering = 4;</code>
   */
  float getSteering();

  /**
   * <code>float engine = 5;</code>
   */
  float getEngine();

  /**
   * <code>float brake = 6;</code>
   */
  float getBrake();

  /**
   * <code>repeated .SimulationController.DoubleArray rotation = 7;</code>
   */
  java.util.List<protobuf.DoubleArray> 
      getRotationList();
  /**
   * <code>repeated .SimulationController.DoubleArray rotation = 7;</code>
   */
  protobuf.DoubleArray getRotation(int index);
  /**
   * <code>repeated .SimulationController.DoubleArray rotation = 7;</code>
   */
  int getRotationCount();
  /**
   * <code>repeated .SimulationController.DoubleArray rotation = 7;</code>
   */
  java.util.List<? extends protobuf.DoubleArrayOrBuilder> 
      getRotationOrBuilderList();
  /**
   * <code>repeated .SimulationController.DoubleArray rotation = 7;</code>
   */
  protobuf.DoubleArrayOrBuilder getRotationOrBuilder(
      int index);

  /**
   * <code>.SimulationController.DoubleArray velocity = 8;</code>
   */
  boolean hasVelocity();
  /**
   * <code>.SimulationController.DoubleArray velocity = 8;</code>
   */
  protobuf.DoubleArray getVelocity();
  /**
   * <code>.SimulationController.DoubleArray velocity = 8;</code>
   */
  protobuf.DoubleArrayOrBuilder getVelocityOrBuilder();

  /**
   * <code>.SimulationController.DoubleArray acceleration = 9;</code>
   */
  boolean hasAcceleration();
  /**
   * <code>.SimulationController.DoubleArray acceleration = 9;</code>
   */
  protobuf.DoubleArray getAcceleration();
  /**
   * <code>.SimulationController.DoubleArray acceleration = 9;</code>
   */
  protobuf.DoubleArrayOrBuilder getAccelerationOrBuilder();

  /**
   * <code>float deltaTime = 10;</code>
   */
  float getDeltaTime();

  /**
   * <code>float totalTime = 11;</code>
   */
  float getTotalTime();

  /**
   * <pre>
   * battery percentage
   * </pre>
   *
   * <code>float battery = 12;</code>
   */
  float getBattery();

  /**
   * <code>bool isCharging = 13;</code>
   */
  boolean getIsCharging();

  /**
   * <code>.SimulationController.BooleanArray errorFlags = 14;</code>
   */
  boolean hasErrorFlags();
  /**
   * <code>.SimulationController.BooleanArray errorFlags = 14;</code>
   */
  protobuf.BooleanArray getErrorFlags();
  /**
   * <code>.SimulationController.BooleanArray errorFlags = 14;</code>
   */
  protobuf.BooleanArrayOrBuilder getErrorFlagsOrBuilder();
}
